Bug 327791 - CVE-2007-5269 libpng DoS via multiple out-of-bounds reads
CVE-2007-5269 libpng DoS via multiple out-of-bounds reads
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libpng10 (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20071008,public=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 11:29 EDT by Ville Skyttä
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.0.29-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 03:17:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-10-11 11:29:00 EDT
+++ This bug was initially created as a clone of Bug #324771 +++

Common Vulnerabilities and Exposures assigned an identifier CVE-2007-5269 to the
following vulnerability:

Certain chunk handlers in libpng before 1.0.29 and 1.2.x before 1.2.21
allow remote attackers to cause a denial of service (crash) via
crafted (1) pCAL (png_handle_pCAL), (2) sCAL (png_handle_sCAL), (3)
tEXt (png_push_read_tEXt), (4) iTXt (png_handle_iTXt), and (5) ztXT
(png_handle_ztXt) chunking in PNG images, which trigger out-of-bounds
read operations.

http://secunia.com/advisories/27093
http://www.frsirt.com/english/advisories/2007/3390
http://sourceforge.net/mailarchive/forum.php?thread_name=3.0.6.32.20071004082318.012a7628%40mail.comcast.net&forum_name=png-mng-implement

libpng10 in FC-6 and F-7 is < 1.0.29 at the moment.
Comment 1 Fedora Update System 2007-10-11 18:55:39 EDT
libpng10-1.0.29-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libpng10'
Comment 2 Fedora Update System 2007-10-24 03:17:46 EDT
libpng10-1.0.29-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.